Share this page

# Set up a UFT Developer grid machine

This topic describes how to set up a UFT Developer grid machine. Grid machines match grid nodes to tests, based on the node’s capabilities and the test’s environment description.

For more details, see UFT Developer Grid.

In this topic:

## Basic setup steps for a UFT Developer grid machine

Perform the steps below to install the UFT Developer runtime engine and license, run the engine in grid mode, and configure the relevant settings:

1. Run the UFT Developer installation and install the UFT Developer runtime engine only. For details, see UFT Developer installation guide.

2. Install a UFT Developer license on the grid machine.

   We recommend installing a concurrent license. If you use a Seat license, the grid can handle only up to four UFT Developer operations simultaneously.

   For details, see Install UFT Developer license on Windows and Install UFT Developer license on Linux/Mac.

3. Run the UFT Developer run-time engine as a grid.

   Windows | Start Menu | Micro Focus > UFT Developer > UFT Developer Runtime (Grid) Note: The Start Menu path may be differ depending on the Windows version you are using.
   Linux | <UFT Developer installation>/bin (by default, /opt/uftdeveloper/bin) | Run `./leanft start --role=grid`
   Mac | UFT Developer installation directory (by default, /Applications/UFTDeveloper) | Run `./leanft start --role=grid`

   Note: At this point it does not matter if your UFT Developer nodes are running or not. The nodes connect to the grid when they and it are up and running.

4. Configure the grid's runtime engine settings as described in the sections below.

Back to top

## Configure the grid's runtime engine settings

This section describes how to configure the connections to and from the grid:

- Define the way nodes connect to this grid machine.
- Change the default engine port if needed.
- Configure UFT Developer's connection to UFT Mobile if you need to use it to run tests.

To configure the settings:

1. Prerequisite: Run the UFT Developer run-time engine as a grid.

2. Open the UFT Developer settings dialog box:

   Right-click the UFT Developer runtime engine icon in the task bar and select Settings.

   Note: On Linux machines, if the icon is not available in the task bar, run the following command to open the dialog box: `/opt/uftdeveloper/Tools/settings-leanft`

3. Modify the Engine settings as described below.

4. Modify the Lab settings described below if you want to use UFT Mobile for your tests.

5. When you save your changes, the UFT Developer runtime engine automatically closes and restarts with your new settings loaded.

   You don't need to restart any nodes that were connected to this grid. The UFT Developer nodes will reconnect after the grid restarts.

Back to top

## Engine settings

Configure the following options in the Engine tab:

Add-ins for Mobile

When testing on mobile devices, UFT Developer always loads the Mobile add-in.

Depending on the applications you plan to test, specify whether to also load the Web or SAPUI5 add-ins.

Engine Connection

Configure the connection ports and license options for the grid:

Engine port | Default = 5095. If another application is listening on port 5095, change this value to an available port. This change applies only to the runtime engine settings, which is used to run your test steps. If you change the value here, make sure your tests are also set to use that value. For details, see Modify the port used by UFT Developer. To enable multiple UFT Developer sessions, set up ports on each client. For details, see Configure ports for using UFT Developer in a multi-session environment.
Grid management port | Default = 8080. This is the port used to access the UFT Developer Grid Management console. For details, see View grid management data. Modify this number if you need it to be available for another application.
License idle timeout | Default = 30 minutes. When the timeout expires, the UFT Developer license is released but the runtime engine remains active and ready to receive requests.
Max license consumption | Default = 5. The maximum number of concurrent licenses this runtime engine is allowed to consume. For details, see Parallel tests and license consumption.

Node Connection Settings

Configure options related to node connections to this grid, and the grid's use of the nodes:

Connection mode | Specify whether connections to this grid should be Remote secured (recommended) or Remote unsecured. This setting affects nodes connecting to this grid, as well as the machines running tests that use this grid. If you select Remote secured, specify the certificate .pfx file and the protocol to use for authenticating connections to this grid. Important: Make sure you have a trusted copy of the grid's encryption certificate set up on your grid nodes and on the machines running the tests.
Passphrase | The passphrase for the node to use when connecting to the grid (case-sensitive). When configuring the Passphrase in the node's runtime engine settings, enter the same string. For details, see Grid Connection Settings.
Node-wait timeout. | Default = 300 seconds. The maximum number of seconds to wait for one of the locks on a relevant node to be released, if all nodes are currently in use and reached their lock maximum.

Back to top

Usage Data Collection

I want to help! Collect anonymous feature usage data. Configure whether or not to allow UFT Developer to send anonymous feedback to Micro Focus about your UFT Developer usage, as part of the UFT Developer improvement program. The data you provide helps us understand which improvements matter most.

For details, see Help improve UFT Developer.

Back to top

## Lab settings

Configure the following options in the Labs tab:

UFT Mobile Settings

Provide the credentials to connect to the UFT Mobile server.

Server address | Your UFT Mobile server IP address or host name. Format example: server IP:port. By default, the port is 8080. Check the port settings defined on your UFT Mobile server. If you are connecting to the UFT Developer server through SSL, the server address must start with https. For example: https://16.16.161.1691:8080.
Authentication type | Select whether to use Basic authentication (username & password) or Use access key as credentials when connecting to UFT Mobile. The option to select depends on the authentication type required by your UFT Mobile server. Note: In UFT Developer 15.0 this option is named Use execution token.
Access key (Execution token in UFT Developer 15.0) | If you selected Use access key, enter the execution access key you received from UFT Mobile. Generate your access keys in the UFT Mobile Lab, as described in the UFT Mobile Help Center. An execution access key is associated with a specific tenant, which limits your testing to devices and apps in a specific UFT Mobile shared space.
User name and Password | If you selected Basic authentication, enter your credentials for logging into the UFT Mobile server. In the User name, you can optionally specify a UFT Mobile project, workspace, or both: If you belong to a specific project in UFT Mobile, enter your user name in the following way: username#projectID. For details on retrieving your project ID, see UFT Mobile multi-projects. If you want to limit your testing to devices and apps in a specific workspace, enter your user name in the following way: username#projectID/workspace or username/workspace. Specify `Public workspace` or the name of another workspace that you are assigned to. If you specify a workspace other than the public workspace, only the devices and apps in that workspace and in the Public workspace are available for recording, running, and device selection. For details on viewing the UFT Mobile workspaces to which you have access and the devices and apps assigned to them, see Workspaces in the UFT Mobile lab console. The Password is encrypted automatically when you save the settings.
Verify | Click to check that UFT Developer can connect to the UFT Mobile server. If UFT Mobile runs behind a proxy server, select Use proxy, and enter the information in Proxy Settings.
Do not validate certificate | By default, UFT Developer employs Full SSL (Strict). However, you can select this option in order to ignore certificate errors.
Show remote access window when the test runs | Select to enable watching your test runs on the devices in the UFT Mobile remote access window. To improve test execution performance, clear this option to run tests silently. You can still watch the steps being performed on the device itself if it is located near you. You can also add Device.OpenViewer/CloseViewer steps to open or close the remote access window during a run.

Proxy Settings

If UFT Mobile is running behind a proxy server, then you must configure the proxy settings:

Address | The IP address and the port of the proxy server.
User name | Credentials for the proxy server.
Password | Credentials for the proxy server. The password is encrypted automatically when you save the settings.

Back to top

See also:

- UFT Developer Grid
- Configure a UFT Developer node's runtime engine settings
- Connect UFT Developer and UFT Mobile

https://admhelp.microfocus.com UFT Developer 8942
Tips to improve your search results... UFT Developer Help Center UFT Developer Help 15.0-15.0.2 All View Local Help Center View Online Help Center back Go back in browser history forward Go forward in browser history Remove search highlights next topic Go to next topic previous topic Go to previous topic Print the current topic Version: